/**
 * ActRelationshipHasComponent2.java
 *
 * File generated from the medication2::ActRelationshipHasComponent2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipHasComponent2.
 *
 * 
 */

@XmlType(name = "ActRelationshipHasComponent")
@XmlEnum
@XmlRootElement(name = "ActRelationshipHasComponent2")
public enum ActRelationshipHasComponent2 {
	@XmlEnumValue("COMP")
	COMP("COMP"),
	@XmlEnumValue("ARR")
	ARR("ARR"),
	@XmlEnumValue("CTRLV")
	CTRLV("CTRLV"),
	@XmlEnumValue("DEP")
	DEP("DEP");
	
	private final String value;

    ActRelationshipHasComponent2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActRelationshipHasComponent2 fromValue(String v) {
        for (ActRelationshipHasComponent2 c: ActRelationshipHasComponent2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
